<?php
session_start();
include ('conn/conn.php');

// Check if the user is logged in
    if (isset($_SESSION['user_id'])) {
    $user_id = $_SESSION['user_id'];

    // Fetch the user's name from the database
    $stmt = $conn->prepare("SELECT `name` FROM `tbl_user` WHERE `user_id` = :user_id");
    $stmt->bindParam(':user_id', $user_id);
    $stmt->execute();
    
    
    if ($stmt->rowCount() > 0) {
        $row = $stmt->fetch();
        $user_name = $row['name'];
    }

  ?>


     <?php 
        $sql = $con->query("SELECT psu,dist_cd FROM `tbl_user`  
       
        WHERE tbl_user.user_id='$_SESSION[user_id]' ");
        $row = $sql->fetch_assoc(); 
        $Psu_Number = $row['psu'];
       $Dist_Cd = $row['dist_cd'];
        echo $Dist_Cd ; 
       //echo "<br>";
      // echo $User_Id;
      ?>


<!doctype html>
<html lang="en">
<head> 
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1"> 
	<script src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet"> 
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <title>MICRO DATA VIEWER</title>
    <link rel = "icon" type = "png" sizes = "20x20" href = "bs-logo.png">
	
	<style> 
input[type=button], input[type=submit], input[type=reset] {
  background-color: #04AA6D;
  border: none;
  color: white;
  padding: 4px 8px;
  text-decoration: none;
  margin: 2px 1px;
  cursor: pointer;
}
.button3 {border-radius: 8px;}
</style>

	<script type="text/javascript">
$(document).ready(function(){

//for Division to District
$('#Division').on('change',function(){
        var stateID = $(this).val();
        if(stateID){
            $.ajax({
                type:'POST',
                url:'ajaxData.php',
                data:'division_code='+stateID,
                success:function(html){
                    $('#District').html(html);
                }
            }); 
        }else{
            $('#District').html('<option value="">Select District First</option>'); 
        }
    });

//for District to City Corporation
    $('#District').on('change',function(){
        var stateID = $(this).val();
        if(stateID){
            $.ajax({
                type:'POST',
                url:'ajaxData.php',
                data:'district_codedd='+stateID,
                success:function(html){
                    $('#City_Corporation').html(html);
                }
            }); 
        }else{
            $('#City_Corporation').html('<option value="">Select District First</option>'); 
        }
    });


    //for Corporation to Upazila
    $('#City_Corporation').on('change',function(){
        var stateID = $(this).val();
        if(stateID){
            $.ajax({
                type:'POST',
                url:'ajaxData.php',
                data:'city_corporation='+stateID,
                success:function(html){
                    $('#Upazila').html(html);
                }
            }); 
        }else{
            $('#Upazila').html('<option value="">Select City Corporation First</option>'); 
        }
    });


    //for Upazila to Municipality
    $('#Upazila').on('change',function(){
        var stateID = $(this).val();
        if(stateID){
            $.ajax({
                type:'POST',
                url:'ajaxData.php',
                data:'upazila_name='+stateID,
                success:function(html){
                    $('#Municipality').html(html);
                }
            }); 
        }else{
            $('#Municipality').html('<option value="">Select Upazila First</option>'); 
        }
    });

    //for Municipality to Union
    $('#Municipality').on('change',function(){
        var stateID = $(this).val();
        if(stateID){
            $.ajax({
                type:'POST',
                url:'ajaxData.php',
                data:'municipality_name='+stateID,
                success:function(html){
                    $('#Union').html(html);
                }
            }); 
        }else{
            $('#Union').html('<option value="">Select Municipality First</option>'); 
        }
    });


//for Union to Mouza
    $('#Union').on('change',function()
    {
        var stateID = $(this).val();
        if(stateID)
        {
            $.ajax(
                {
                type:'POST',
                url:'ajaxData.php',
                data:'union_codedd='+stateID,
                success:function(html)
                    {
                      $('#Mauza').html(html);
                    }
                }); 
        }else
        {
            $('#Mauza').html('<option value="">Select Union/Ward First</option>');
        }
    }
    );

//for Mouza to Village/Moholla
$('#Mauza').on('change',function()
    {
        var stateID = $(this).val();
        if(stateID)
        {
            $.ajax(
                {
                type:'POST',
                url:'ajaxData.php',
                data:'mauza_codedd='+stateID,
                success:function(html)
                    {
                      $('#Village').html(html);
                    }
                }); 
        }else
        {
            $('#Village').html('<option value="">Select Mauza First</option>');
        }
    }
    );

    
//for Village/Moholla to PSU
$('#Village').on('change',function()
    {
        var stateID = $(this).val();
        if(stateID)
        {
            $.ajax(
                {
                type:'POST',
                url:'ajaxData.php',
                data:'Village_codedd='+stateID,
                success:function(html)
                    {
                      $('#PSU').html(html);
                    }
                }); 
        }else
        {
            $('#PSU').html('<option value="">Select Village/Moholla First</option>');
        }
    }
    );

    
//for PSU to House No
//$('#PSU').on('change',function()
//    {
//        var stateID = $(this).val();
//        if(stateID)
//        {
//            $.ajax(
//                {
//                type:'POST',
//                url:'ajaxData.php',
//                data:'psu_codedd='+stateID,
//                success:function(html)
//                    {
//                      $('#House_no').html(html);
//                    }
//               }); 
//        }else
//        {
//            $('#House_no').html('<option value="">Select PSU First</option>');
//        }
//    }
//    );









});

</script>
    



</head>
<body>

    <div class="container-fluid mt-2">
	
	 <nav class="navbar navbar-expand-sm navbar-dark bg-dark p-2 rounded"> 
    <a class="navbar-brand" href="#">
      <img src="bs-logo.png" style="width:40px;" class="rounded-pill"> 
    </a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#mynavbar">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="mynavbar">
      <ul class="navbar-nav me-auto">
        <li class="nav-item">
          <a class="nav-link" href="javascript:void(0)">Bangladesh Bureau of Statistics;</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="javascript:void(0)">Computer Wing : :</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="javascript:void(0)"><b style="color:Green;">MICRO DATA VIEWER</b></a>
        </li>
      </ul>
	  
	
      <form class="d-flex"> 
        <button class="btn btn-warning btn-sm me-2 d-none" type="button"><a class="nav-link" href="dashboard.php"> Home</a></button>
        <button class="btn btn-danger btn-sm" type="button"><a class="nav-link" href="logout.php"> Logout </a></button>
      </form>

    </div>
   
</nav> 
 
        <div class="row bg-white">
            <div class="col-md-12 mb-3">
                <div class="card mt-2">
                    <div class="card-header">
                       <h3 style="color:Green;"><b><center>NATIONAL THALASSEMIA SURVEY 2023</center></b></h3>
                   
                <hr>
				
			
				   </div>

                  

                </div>
            </div>
			
			

            <div class="col-md-12">
                <div class="">
                    <div class="">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th style="text-align:center">Division</th>
                                    <th style="text-align:center">District</th>
                                    <th style="text-align:center">Upazila</th>
                                    <th style="text-align:center">Union/Ward</th>
                                    <th style="text-align:center">Mauza</th>
                                    <th style="text-align:center">PSU</th>
                                    <th style="text-align:center">Enumerator's Name</th>
                                    <th style="text-align:center">Household No</th>
                                    <th style="text-align:center">View</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php 
									$view = "Click";

                                    
                                   
                                      //  $filtervalues = $_GET['search'];
                                        $query = "SELECT distinct a.dist_cd_ai,a.div_nm_ai,a.dist_nm_ai,a.upz_nm_ai,a.un_nm_ai,a.mz_nm_ai,b.psu_id,b.hhno_id,a.`level-1-id` level_id,c.enu_nm_ei
                                        FROM identity a, `level-1` b, enu_info c, hh_info d
                                        where a.`level-1-id`=b.`level-1-id` and a.`level-1-id`=c.`level-1-id` and a.`level-1-id`=d.`level-1-id` and 
                                        
                                         a.dist_cd_ai='$Dist_Cd'  
                                        order by a.div_nm_ai,a.dist_nm_ai,a.upz_nm_ai,a.un_nm_ai,a.mz_nm_ai,b.psu_id asc ";
                                        $query_run = mysqli_query($con, $query);

                                        if(mysqli_num_rows($query_run) > 0)
                                        {
											
                                            foreach($query_run as $items)
                                            {
                                ?>

                                <form name="form" method="post" action="data-view.php">

                                                <tr>
                                                    <td style="text-align: center"><?= $items['div_nm_ai']; ?>  <input type="hidden" name="division"    value="<?= $items['div_nm_ai']; ?>" >   </td>
                                                    <td style="text-align: center"><?= $items['dist_nm_ai']; ?> <input type="hidden" name="district"    value="<?= $items['dist_nm_ai']; ?>" >  </td>
                                                    <td style="text-align: center"><?= $items['upz_nm_ai']; ?>  <input type="hidden" name="upazila"     value="<?= $items['upz_nm_ai']; ?>" >  </td>
                                                    <td style="text-align: center"><?= $items['un_nm_ai']; ?>   <input type="hidden" name="Union/Ward"  value="<?= $items['un_nm_ai']; ?>" > </td>
                                                    <td style="text-align: center"><?= $items['mz_nm_ai']; ?>   <input type="hidden" name="Mauza"       value="<?= $items['mz_nm_ai']; ?>" >  </td>
                                                    <td style="text-align: center"><?= $items['psu_id']; ?>     <input type="hidden" name="PSU"         value="<?= $items['level_id']; ?>" >    </td>
                                                    <td style="text-align: center"><?= $items['enu_nm_ei']; ?>     <input type="hidden" name="enu_nm_ei"         value="<?= $items['enu_nm_ei']; ?>" >    </td>
                                                    <td style="text-align: center"><?= $items['hhno_id']; ?>    <input type="hidden" name="HHN"       value="<?= $items['hhno_id']; ?>"> </td>
													<!--<td> <center><input type="submit" value="Click"></center></td>-->
                                                    <td style="text-align: center"><button style="font-size:16px;color:blue"><i class="fa fa-eye"></i></button></td>
													<!--
													<td class='text-center' style="color:blue;"><b><?= $view; ?></b>
														<a href='view.php?user_id={$items}'></a>
													
                                                    <td class='text-center'>
														<a href='view.php?user_id={$id}' class='btn btn-secondary'></a>
													</td>-->
												</tr>
                                </form>
                                                <?php
                                            }
                                        }
                                        else
                                        {
                                            ?>
                                                <tr>
                                                    <td colspan="4">No Record Found</td>
                                                </tr>
                                            <?php
                                        }
                                     
                                ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>

    
</body>
</html>


 <?php
} else {
    header("Location: index.php");
}

?>